логин: 
<< предыдущая заметкаследующая заметка >>
11 марта 2015
ВСЕМ ВЛАДЕЛЬЦАМ ДВИЖКА: обнаружена критическая уязвимость.

Необходимо срочно обновиться! Уже пару лет как. Еще раз извините.

У кого по причинам совсем уж старой версии не работает даже обновление /install и даже /minstall.php — то удалите minstall.php нафиг и скачайте базовые файлы движка одним архивом: http://lleo.me/dnevnik/minimum.zip

В будущем мы вообще отказываемся от minstall.php — вместо него в /install у каждого движка будет кнопка «install.zip», которая формирует в корне файл minimum.zip с основными файлами, которые позволят поднять движок до той степени, чтобы запустился /install и загрузилось всё остальное.

В принципе, так можно (пока не пробовал, но уверен) проинсталлировать движок и с нуля:

[показать спрятанное]
1) скачать и распаковать http://lleo.me/dnevnik/minimum.zip,
2) переименовать «htaccess» в «.htaccess», исправив в нем переменную "RewriteBase /blog/" на ваш случай (если движок в корне, то просто "/")
3) в css/sys.css найти "/dnevnik/" и тоже исправить на ваш случай (если в корне, то "/")
4) config.php.tmpl переименовать в config.php и там поправить:
— четыре строки с параметрами для MySQL:
$msq_host = "хост MySQL";
$msq_login = "логин MySQL";
$msq_pass = "пароль MySQL";
$msq_basa = "название базы в MySQL";
— Если движок ставится в папку, а не в корень, поправить $blogdir="папка/";
— Прописать в $httpsite полное имя вашего сайта, как он виден снаружи.
— Везде, где встретится "_md5_" — вбить строчку с произвольной хуетой.
<< предыдущая заметка следующая заметка >>
пожаловаться на эту публикацию администрации портала
архив понравившихся мне ссылок
Оставить комментарий
Windows
 Каменск-Уральский
0
0
D.iK.iJ
Нужен список уязвимостей с инструкцией по использованию :)
Linux Ubuntu Firefox
 Москва
0
0
Leonid Kaganov
Кому?
Windows
 Каменск-Уральский
0
0
D.iK.iJ
Хакерам! :-)
Linux Ubuntu Firefox
 Москва
0
0
Leonid Kaganov
Да.
Windows Firefox
 Европа
0
0
medwar
в /install 2 кнопки: setup admin pass, install.
при нажатии на любую выдает:

«ZI ERROR
1: |PHPSESSID, __utma,__utmb,__utmc, __utmz,a,acn,mod,unic5_lleo_,up,ux,v,/6a8f9179ef2b9bff63ab8a9dc325ee9a
2: |a,acn,mod,up,u x,v,/6b51482bc5897ef1bb4a26c5192ca83a»

что делаю не так?
<< предыдущая заметка следующая заметка >>